<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CheckPayment StructType
 * @subpackage Structs
 */
class CheckPayment extends AbstractStructBase
{
    /**
     * The CheckPaymentRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CheckPaymentRQ
     */
    public $CheckPaymentRQ;
    /**
     * Constructor method for CheckPayment
     * @uses CheckPayment::setCheckPaymentRQ()
     * @param \StructType\JP_CheckPaymentRQ $checkPaymentRQ
     */
    public function __construct(\StructType\JP_CheckPaymentRQ $checkPaymentRQ = null)
    {
        $this
            ->setCheckPaymentRQ($checkPaymentRQ);
    }
    /**
     * Get CheckPaymentRQ value
     * @return \StructType\JP_CheckPaymentRQ|null
     */
    public function getCheckPaymentRQ()
    {
        return $this->CheckPaymentRQ;
    }
    /**
     * Set CheckPaymentRQ value
     * @param \StructType\JP_CheckPaymentRQ $checkPaymentRQ
     * @return \StructType\CheckPayment
     */
    public function setCheckPaymentRQ(\StructType\JP_CheckPaymentRQ $checkPaymentRQ = null)
    {
        $this->CheckPaymentRQ = $checkPaymentRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CheckPayment
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
